# Copyright (c) 2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

%define prefix	/usr

Summary:		Videoporama - A video images slideshow
Name:			videoporama
Version:		0.7.1
Release:		%mkrel 1
License:		GPL
Group:			Productivity/Graphics/Viewers
Source:			http://users.edpnet.be/opvg/videoporama/src/%{name}-%{version}.tar.gz
Source90:		%{name}-rpmlintrc
URL:	  	 	http://users.edpnet.be/opvg/videoporama/index_en.htm
BuildRoot:  	        %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:		noarch
BuildRequires:	        fdupes
BuildRequires:	        python-devel
BuildRequires:          rpmlib(CompressedFileNames) <= 3.0.4-1
Requires:		ffmpeg
Requires:		mjpegtools
Requires:		mplayer
Requires:		python
Requires:		python-imaging
Requires:		python-qt4
Requires:		sox

%description
Videoporama is a software designed to make image slideshow, export
to video file.

It's given under the GPL V2 or above licence and it's given without
any warranty.

Following options are available :
* With or without transitions between images.
* Image geometry : 4:3 or 16:9
* Display time is set image by image
* Transition type is defined image by image.
* Add a sound to slideshow (wav, ogg ou mp3)
* Output in PAL (720x576), NTSC (720x480), SECAM (720x576),
  Web (384x288), HD 720 (1280x720) ou HD 1080 (1920x1080)
* Output file format : Raw dv (.dv), AVI (codec dv), MPEG (VCD,
  SVCD et DVD), FLV (Flash video format) et H264 (MPEG4 part 10 AVC).
* Add a background image (For images which are in portrait)
  or add a background color.

Since version 0.7, it can also export in flv and h264 (mpeg4 part
10 AVC) and in different resolution, from 384x288 to 1920x1080
full HD.


%prep
%setup -q -n %{name}-%{version}
touch help/help_en_V0.7.odt help/help_fr_V0.7.odt


%__chmod 644 README


%build
%__python setup.py build


%install
%__python setup.py install \
	--skip-build \
	--root=%{buildroot} \
	--prefix=%{_prefix}


# icon
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 icons/%{name}.png \
	%{buildroot}%{_datadir}/pixmaps


# menu-entry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Name=Videoporama
Comment=Videoporama - A video images slideshow
Icon=%{name}
Exec=%{name}
Categories=Graphics;
EOF


find %{buildroot}%{_datadir}/%{name} -type f -exec %__chmod 644 {} \;
%__chmod 755 %{buildroot}%{_datadir}/%{name}/videoporama.py
%__chmod 755 %{buildroot}%{_datadir}/%{name}/interface.py
%__chmod 755 %{buildroot}%{_datadir}/%{name}/process.py
%__chmod 755 %{buildroot}%{_datadir}/%{name}/start.py
%__rm -r %{buildroot}%{py_sitedir}/%{name}-%{version}-py%{py_ver}.egg-info
%__rm    %{buildroot}%{_datadir}/%{name}/INSTALL
%__rm    %{buildroot}%{_datadir}/%{name}/README

fdupes -s %{buildroot}


%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%doc README
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Fri Feb 20 2009 tigger-gg <rpm@mandrivauser.de> 0.7.1-1mud2009.0
- rebuild for MandrivaLinux 2009.0
* Tue Feb 17 2009 Toni Graffy <toni@links2linux.de> - 0.7.1-0.pm.1
- update to 0.7.1
* Fri Jan 30 2009 Toni Graffy <toni@links2linux.de> - 0.7-0.pm.1
- initial build 0.7
